---
import Layout from "./layout.astro";
import type { Page } from "../types";
import MainMenu from "./main-menu.astro";
import MainBreadcrumb from "./main-breadcrumb.astro";

interface Props {
  pages?: Page[];
  id: string;
  title: string;
  rootId: string;

  sectionId?: string;
  breadcrumb: Page[];
  description: string;
}

const { pages, id, rootId, breadcrumb, sectionId, title, description } =
  Astro.props;
---

<Layout title={`${title} - Deveco`} description={description}>
  <main role="main" id="content">
    <div class="fr-container">
      <div class="fr-grid-row">
        <div class="fr-col-12 fr-col-md-4">
          {
            pages?.length && (
              <MainMenu
                pages={pages}
                id={id}
                rootId={rootId}
                sectionId={sectionId}
              />
            )
          }
        </div>
        <div id="contenu" class="fr-col-12 fr-col-md-8 fr-py-12v">
          <MainBreadcrumb breadcrumb={breadcrumb} />
          <slot />
        </div>
      </div>
    </div>
  </main>
</Layout>
